# Scripts associated with building, curating, and/or-updating FreeSolv

This contains utility scripts and other tools relating to maintaining, building, curating, or updating FreeSolv.

## Manifest
- `extract-primary-data.py`: Used to extract primary data, from which the whole database can be rebuilt, from the main database file. Output is stored under `../primary-data`
- `generate-tripos-mol2files.py`: The database did not originally contain a consistent set of mol2 files with SYBYL atom types; at one point, this was used to generate such a set, though this has been superseded by the set generated by `rebuild_freesolv.py` below
- `hComponents.py`: Script used to analyze GROMACS xvg files and extract components of the enthalpy change, in the early 2017 update to FreeSolv
- `make_v0.32.py`: Script editing database to update from 0.31 to 0.32.
- `make_v0.52.py`: Script editing database to update from 0.51 to 0.52.
- `make_supporting_files.py`: From database pickle file, makes json version, database.txt, groups.txt, and supporting smiles_to_cid and iupac_to_cid in json and pickle formats. 
- `rebuild_freesolv.py`: Rebuilding the contents of the FreeSolv database from primary data (SMILES strings) for use repeating all of the GROMACS calculations for the early 2017 update to the database. Requires the Chodera Lab's `openmoltools` and the Mobley lab's `SolvationToolkit`, both of which are available from the `omnia` conda channel and on GitHub.
- `utils.py`: Shared utilities (very short at present) 
